name: crypto-api
version: 0.13.2
id: crypto-api-0.13.2-KkoJ0GZFoJiC8cM4nPl6k5
key: crypto-api-0.13.2-KkoJ0GZFoJiC8cM4nPl6k5
license: BSD-3-Clause
copyright: Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer: Thomas DuBuisson <thomas.dubuisson@gmail.com>
author: Thomas DuBuisson <thomas.dubuisson@gmail.com>, Francisco Blas Izquierdo Riera (klondike)
stability: stable
homepage: https://github.com/TomMD/crypto-api
synopsis: A generic interface for cryptographic operations
description:
    A generic interface for cryptographic operations (hashes, ciphers, randomness).
    Maintainers of hash and cipher implementations are
    encouraged to add instances for the classes defined
    in Crypto.Classes.  Crypto users are similarly
    encouraged to use the interfaces defined in the Classes
    module.
    Any concepts or functions of general use to more than
    one cryptographic algorithm (ex: padding) is within
    scope of this package.
category: Data, Cryptography
abi: 9bbed0ff081d4c80a1b7be97a117c48a
exposed: True
exposed-modules:
    Crypto.Classes Crypto.Classes.Exceptions Crypto.HMAC Crypto.Modes
    Crypto.Padding Crypto.Random Crypto.Types Crypto.Util
hidden-modules: Crypto.CPoly
import-dirs: /usr/local/lib/ghc/crypto-api-0.13.2
library-dirs: /usr/local/lib/ghc/crypto-api-0.13.2
dynamic-library-dirs: /usr/local/lib/ghc/crypto-api-0.13.2
data-dir: /usr/local/share/hs-crypto-api-0.13.2
hs-libraries: HScrypto-api-0.13.2-KkoJ0GZFoJiC8cM4nPl6k5
depends:
    base-4.12.0.0 bytestring-0.10.8.2
    cereal-0.5.8.0-6rtfJLvNbgP66iuaPkuxJC
    entropy-0.2.1-IfZwtxgTnXI3i1BomgGL89
    tagged-0.8.6-EiJ2F18RuD68LSMkg0Ly4r transformers-0.5.6.2
haddock-interfaces: /usr/local/share/doc/hs-crypto-api-0.13.2/html/crypto-api.haddock
haddock-html: /usr/local/share/doc/hs-crypto-api-0.13.2/html
